#ifndef DIAL_H_
#define DIAL_H_

#include <qwidget.h>
#include <qtimer.h>
#include <qbitmap.h>
#include <qrangecontrol.h>

#define DIAL_STEPANGLE 10
#define DIAL_TIMESTEP  100

class Dial : public QWidget
{
  Q_OBJECT 
	
public:
	Dial(QWidget *parent=0, const char *name=0, int min=0, int max=0, int ang=0);
	void setRange(int min, int max, int val);

public slots:
        void updateValue(int); 
signals:
	void turnRight();
	void turnLeft(); 
	void setValue(int);	

private slots:
	void ControlHandler();

protected:
	void mousePressEvent(QMouseEvent *);
	void mouseReleaseEvent(QMouseEvent *);
	void paintEvent( QPaintEvent * );
	void resizeEvent( QResizeEvent *);

private:
	int ang;
	int max, min;
	QRangeControl range;
	bool reportValue;
	QBitmap *maskBitmap;
	QTimer autoRepeatTimer;
	ButtonState state;
};

#endif // DIAL_H_

