#ifndef FILTERCTRL_H_
#define FILTERCTRL_H_

//
// FilterCtrl controls filter choices and IF shift
//


#include <qwidget.h>
#include <qslider.h>
#include <qpushbutton.h>
#include <qlabel.h>

#include "pcrproto.h"

class FilterCtrl : public QWidget
{
	Q_OBJECT
public:
	FilterCtrl(QWidget *parent=0, const char *name=0);
	~FilterCtrl();
	
signals:
	void stepUpFilter();
	void stepDownFilter();
	void stepUpTS();
	void stepDownTS();
	void setIFShift(ifshift_t);

public slots:
	void wideSlot();
	void narSlot();
	void resetIF();
	void ifShiftUpdate(ifshift_t);

protected:
	void resizeEvent( QResizeEvent *);

private slots:
	void ifShiftMoved(int);

private:
	QPushButton *wide;
	QPushButton *nar;
	QPushButton *reset;
	QPushButton *tswide;
	QPushButton *tsnar;

	QLabel *tslabel;

	QSlider *ifshift;
};

#endif // FILTERCTRL_H_
