#include <qstring.h>

#include "freqdisplay.h"


FreqDisplay::FreqDisplay(QWidget *parent, const char *name)
	: QLCDNumber( parent, name)
{
	setMode( Dec );
	setSegmentStyle( Filled );
	setNumDigits( 13 );
	setFrameStyle( 0x00 );
	setPalette( QPalette( Qt::green, Qt::black ) );
	
	currentFreq = DEFAULT_FREQ;

	displayFreq( currentFreq );	
}



void FreqDisplay::displayFreq(const pcrfreq_t freq)
{
	QString temp;
	int i;

	currentFreq = freq;

	temp = QString::number(freq);
	i = temp.length();
	temp.insert(i-3,QString("."));

	if(i>6)
		temp.insert(i-6,QString("."));

	display(temp);
}



void FreqDisplay::displayReset()
{
	displayFreq( currentFreq );
}



void FreqDisplay::displayTemp( const QString *str)
{
	display(*str);
}
