#ifndef KEYPAD_H_
#define KEYPAD_H_

//
// KeyPad displays and control keypad for enter freqency
//

#include <qwidget.h>
#include <qstring.h>
#include <qpushbutton.h>
#include <qtimer.h>

#include "pcrproto.h"

class KeyPad : public QWidget 
{
	Q_OBJECT

public:
	KeyPad(QWidget *parent=0, const char *name=0);
	~KeyPad();

signals:
	void setFreq( pcrfreq_t );
	void displayTemp( const QString *);
	void displayReset();	

private slots:
	void clicked0();
	void clicked1();
	void clicked2();
	void clicked3();
	void clicked4();
	void clicked5();
	void clicked6();
	void clicked7();
	void clicked8();
	void clicked9();
	void clickedDot();
	void clickedEnter();

	void timeOut();

protected:
	void resizeEvent( QResizeEvent * );
	void keyPressEvent( QKeyEvent * );

private:
	void clickedNumber(const char *str);

	QPushButton *button0;
    QPushButton *button1;
    QPushButton *button2;
    QPushButton *button3;
    QPushButton *button4;
    QPushButton *button5;
    QPushButton *button6;
    QPushButton *button7;
    QPushButton *button8;
    QPushButton *button9;
    QPushButton *buttonDot;
    QPushButton *buttonEnter;

	QTimer *tictoc;
	QString tempFreq;

};

#endif // KEYPAD_H_
