#ifndef _SCAN_H_
#define _SCAN_H_

#include <qobject.h>
#include <qtimer.h>
#include "pcrproto.h"

class Scan : public QObject
{

Q_OBJECT

public:
 Scan();
 void SetFrequency(pcrfreq_t beginFreq, pcrfreq_t endFreq);
 void SetTimeDelay(int msec);
 void SetChannel(modulate_t mode, filter_t filter);

signals:
 // monitor these signals to get scan
 void scanBegun();
 void scanUpdate( pcrfreq_t, unsigned char );
 void scanEnded();

 // Must connect these signals to PcrProxy
 void setFreq( pcrfreq_t );
 void setMode( modulate_t );
 void setFilter( filter_t );
 
public slots:
 // Must connect these slots to PcrProxy
 void sigStrengthUpdate( unsigned char );
 void squelchOnUpdate( bool  );

 // auxilary. Might connect these to buttons
 void Start();
 void Stop();
 
private slots:
 void timeToStepFreq();

private:
 pcrfreq_t beginFreq, endFreq, ts, freq;
 modulate_t mode;
 unsigned char sig, prevSig;
 filter_t filter;
 int msec;
 QTimer tictoc;

};

#endif // _SCAN_H_
